gnutls_db_check_entry(3)

NAME
gnutls_db_check_entry - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_db_check_entry(gnutls_session_t session, gnutls_datum_t session_entry);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t session_entry
    is the session data (not key)

DESCRIPTION
This function has no effect.

RETURNS
Returns GNUTLS_E_EXPIRED, if the database entry has expired or 0 otherwise.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/